<?
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
define('IN_COPPERMINE', true);

class GetCpgDisplayTab extends cbTabHandler 
{
	/**
	* Constructor
	*/
	function GetCpgDisplayTab() 
	{
		$this->cbTabHandler();
	}
	
	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG
	*				   generated
	*/
	function getDisplayTab($tab, $user, $ui)
	{
		global $database,$mosConfig_absolute_path;
		$limit = 10;  //Change this to the number of images you want displayed, 10 works good.
		$params=$this->params;
		$cpgDir=$params->get('cpgDir', '/usergalleries');
		if (file_exists("$mosConfig_absolute_path$cpgDir/include/config.inc.php"))
		{
			require("$mosConfig_absolute_path$cpgDir/include/config.inc.php");
			$tp=$CONFIG['TABLE_PREFIX'];
			$output="";
			$sql = "select pid, filepath, filename, owner_id, owner_name, title, caption from ".$tp."pictures where approved='YES' and owner_id=".$user->id." limit ".$limit;

			$database->setQuery($sql);   
	   	 	$pictures = $database->loadObjectList();  
			if($tab->description != null) $output .= "<div class=\"tab_Description\">".unHtmlspecialchars(getLangDefinition($tab->description))."</div>";
			$nPictures=count($pictures);
			$output.="<table><br><tr><td>";
			$output.='<form method="post" action="'.$cpgDir.'/thumbnails.php" name="searchcpg">';
			$output.='<input type="hidden" name="search" value="'.$pictures[0]->owner_name.'" />';
			$output.='<input type="submit" value="See all of '.$pictures[0]->owner_name.'\'s photos" class="button" />';
			$output.='<input type="hidden" name="album" value="search" />';
			$output.='<input type="hidden" name="owner_name" id="owner_name" checked="checked" />';
			$output.='</form><br></td></tr>';
			for ($i=0;$i<$nPictures;$i++)
			{
				$picture=$pictures[$i];
				$link="$cpgDir/displayimage.php?pos=-".$picture->pid;
				$thumbNailImage="$cpgDir/albums/".$picture->filepath."/thumb_".$picture->filename;
				$albumTitle=$picture->title;
				$albumDesc=$picture->caption;
				$output.="<tr><td><a href='$link'><img src='$thumbNailImage' border='0'/></a></td><td width='100%' valign='top'><a href='$link'>$albumTitle</a>:<br/>$albumDesc</td></tr>";
			}
			$output.="</table>";
		}
		else
		{
			$output="Sorry can't find coppermine config file.";
		}
		return $output;
	}
}
?>